<?php
	$error = false;
	$dir = __DIR__;
	$result = '<p>ПОИСК КОНФИГУРАЦИОННОГО ФАЙЛА - ';
	$configFile = $dir.'/admin/config.php';
	if (@is_file($configFile)) {
		$result .= 'УСПЕШНО</p>';
		@require_once($configFile);
		$result .= '<p>ПОДКЛЮЧЕНИЕ К БАЗЕ ДАННЫХ MYSQL - ';
		$connect = false;
		$connect = @mysqli_connect(DB_HOSTNAME,DB_USERNAME,DB_PASSWORD,DB_DATABASE);
		if ($connect) {
			$result .= 'УСПЕШНО</p>';
			$result .= '<p>СОЗДАНИЕ ВРЕМЕННОЙ ТАБЛИЦЫ - ';
			@mysqli_query($connect,"DROP TABLE IF EXISTS `checkmodule`");
			$queryCreateTable = "
				CREATE TABLE `checkmodule` (
					`manufacturer` varchar(255) NOT NULL DEFAULT '',
					`sku` varchar(255) NOT NULL DEFAULT '',
					`quantity` varchar(255) NOT NULL DEFAULT '',
					`price` varchar(255) NOT NULL DEFAULT '',
					`minimum` varchar(255) NOT NULL DEFAULT '',
					KEY `manufacturer`(`manufacturer`),
					KEY `sku`(`sku`)
				) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT;";
			if (@mysqli_query($connect,$queryCreateTable)) {
				$result .= 'УСПЕШНО</p>';
				$result .= '<p>ЗАГРУЗКА ДАННЫХ ВО ВРЕМЕННУЮ ТАБЛИЦУ - ';
				$queryLoadData = "
					LOAD DATA LOCAL INFILE '".$dir."/test.csv' 
					INTO TABLE `checkmodule` 
					FIELDS TERMINATED BY ';' 
					ENCLOSED BY '\"' 
					ESCAPED BY '\\\\' 
					LINES TERMINATED BY '\r\n' 
					(`manufacturer`,`sku`,`quantity`,`price`,`minimum`)";
				if (@mysqli_query($connect,$queryLoadData)) {
					$result .= 'УСПЕШНО</p>';
					$result .= '<p>ПОЛУЧЕНИЕ ДАННЫХ ИЗ ВРЕМЕННОЙ ТАБЛИЦЫ - ';
					$totalLoadData = @mysqli_fetch_row(@mysqli_query($connect,"
						SELECT CONCAT(T.`manufacturer`,'-',T.`sku`,'-',T.`quantity`,'-',T.`price`,'-',T.`minimum`) 
						FROM `checkmodule` AS T"));
					if ($totalLoadData[0] == 'Производитель-Артикул-Наличие-Цена-Партия') {
						$result .= 'УСПЕШНО</p>';
						$result .= '<p>УДАЛЕНИЕ ВРЕМЕННОЙ ТАБЛИЦЫ - ';
						$queryRemoveTable = "DROP TABLE IF EXISTS `checkmodule`";
						if (@mysqli_query($connect,$queryRemoveTable)) {
							$result .= 'УСПЕШНО</p>';
						}
						else {
							$result .= 'ОШИБКА</p>';
							$error = true;
						}
					}
					else {
						$result .= 'ОШИБКА</p>';
						$error = true;
					}
				}
				else {
					$result .= 'ОШИБКА</p>';
					$error = true;
				}
			}
			else {
				$result .= 'ОШИБКА</p>';
				$error = true;
			}
			@mysqli_query($connect,"DROP TABLE IF EXISTS `checkmodule`");
			@mysqli_close($connect);
		}
		else {
			$result .= 'ОШИБКА</p>';
			$error = true;
		}
	}
	else {
		$result .= 'ОШИБКА</p>';
		$error = true;
	}
?>
<?php
	header('Content-Type: text/html; charset=utf-8');
	echo $result;
	if (!$error) echo '<hr/><p>ПРОВЕРКА ЗАВЕРШЕНА. ОШИБОК НЕ ВЫЯВЛЕНО!</p>';
	else echo '<hr/><p>ПРОВЕРКА ЗАВЕРШЕНА. ОБНАРУЖЕНЫ ОШИБКИ!</p>';
?>